import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:supplier_new/common/settings.dart';
import 'package:supplier_new/login/login_signup_screen.dart';

class VerificationScreen extends StatefulWidget {
  const VerificationScreen({super.key});

  @override
  State<VerificationScreen> createState() => _VerificationScreenState();
}

class _VerificationScreenState extends State<VerificationScreen> {
  @override
  Widget build(BuildContext context) {

    return Scaffold(
        body: Padding(
          padding: EdgeInsets.all(24),
          child: Column(
            children: [
              SizedBox(height: MediaQuery.of(context).size.height * .2),
              Center(
                child: Text("AQUICK SUPPLIER",
                    style: fontTextStyle(20, Color(0XFF515253), FontWeight.w800)),
              ),
              SizedBox(height: MediaQuery.of(context).size.height * .05),
              CircleAvatar(radius: 80, backgroundColor: Color(0XFFF3F1FB)),
              SizedBox(height: MediaQuery.of(context).size.height * .05),
              Center(
                child: Text("Your application has been submitted! We will get back to you soon..",
                    style: fontTextStyle(20, Color(0XFF343637), FontWeight.w700)),
              ),
              SizedBox(height: MediaQuery.of(context).size.height * .01),
              Center(
                child: Text(
                  "Please wait until our team reviews it and complete the verification process. It might take up to 3 business days.",
                  style: fontTextStyle(12, Color(0XFF7E7F80), FontWeight.w400),
                  textAlign: TextAlign.center, // Keeps text centered in multiple lines
                ),
              ),
              SizedBox(height: MediaQuery.of(context).size.height * .06),
              Container(
                  width: double.infinity,
                  height: MediaQuery.of(context).size.height * .06,
                  child: ElevatedButton(
                    style: ElevatedButton.styleFrom(
                      foregroundColor: Color(0XFF757575),
                      backgroundColor: Colors.white,
                      shape: RoundedRectangleBorder(
                        borderRadius: BorderRadius.circular(24.0), // Customize the radius
                        side: BorderSide(
                          color: Color(0XFF757575), // Border color
                          width: 1,               // Border width
                        ),
                      ),
                    ),
                    onPressed: () async {
                        SystemNavigator.pop();
                    },
                    child: Text(
                      'Close App',
                      style: fontTextStyle(14, Color(0XFF646566), FontWeight.w500),
                    ),
                  ),

              ),
            ],
          ),
        ));
  }
}
